import Vue from "vue";
import upperFirst from 'lodash/upperFirst'
import camelCase from 'lodash/camelCase'
import Vuelidate from 'vuelidate'
import RegistrationWidget from './views/Registration.vue'
import 'vue-datetime/dist/vue-datetime.css'

Vue.use(Vuelidate)
Vue.config.productionTip = false

const requireComponent = require.context(
    './components/form-fields',
    false,
    /Base[A-Z]\w+\.(vue|js)$/
)

requireComponent.keys().forEach(fileName => {
    const componentConfig = requireComponent(fileName)
    const componentName = upperFirst(
        camelCase(fileName.replace(/^\.\/(.*)\.\w+$/, '$1'))
    )
    Vue.component(componentName, componentConfig.default || componentConfig)
})

export default RegistrationWidget;




